angular
    .module('zns', ['ionic', 'zns.controllers', 'zns.services', 'zns.directives'])
    .constant('$ionicLoadingConfig', {
        template: 'Loading...'
    })
    .run(function($rootScope, $ionicPlatform, $ionicLoading, $ionicNavBarDelegate, BackgroundPlayer) {
        $rootScope.goBack = function(){
            $ionicNavBarDelegate.back();
        };

        $rootScope.isPlaying = BackgroundPlayer.isPlaying;
        $rootScope.play = BackgroundPlayer.resumeAudio;
        $rootScope.pause = BackgroundPlayer.pauseAudio;

        $ionicPlatform.ready(function() {
            if(window.StatusBar) {
                StatusBar.overlaysWebView(true);
            }

            if(navigator.splashscreen){
                setTimeout(function() {
                    navigator.splashscreen.hide();
                }, 500);
            }
        });
    })
    .config(function($stateProvider, $urlRouterProvider, $sceDelegateProvider) {
        $sceDelegateProvider.resourceUrlWhitelist(['self', new RegExp('^(http[s]?):\/\/(w{3}.)?youtube\.com/.+$')]);

        $stateProvider
            .state('tab', {
              url: "/tab",
              abstract: true,
              templateUrl: "templates/tabs.html"
            })
            .state('tab.live', {
                url: '/live',
                views: {
                    'tab-live': {
                        templateUrl: 'templates/tab-live.html',
                        controller: 'LiveController'
                    }
                }
            })
            .state('tab.news-detail', {
                url: '/news/:id',
                views: {
                    'tab-news': {
                        templateUrl: 'templates/tab-news-detail.html',
                        controller: 'NewsStoryController'
                    }
                }
            })
            .state('tab.news', {
                url: '/news',
                views: {
                    'tab-news': {
                        templateUrl: 'templates/tab-news.html',
                        controller: 'NewsController'
                    }
                }
            })
            .state('tab.media-detail', {
                url: '/media/:id',
                views: {
                    'tab-media': {
                        templateUrl: 'templates/tab-media-detail.html',
                        controller: 'MediaDetailController'
                    }
                }
            })
            .state('tab.media', {
                url: '/media',
                views: {
                    'tab-media': {
                        templateUrl: 'templates/tab-media.html',
                        controller: 'MediaController'
                    }
                }
            })
            .state('tab.stations', {
                url: '/stations',
                views: {
                    'tab-stations': {
                        templateUrl: 'templates/tab-stations.html',
                        controller: 'StationsController'
                    }
                }
            })
            .state('tab.station-detail', {
                url: '/stations/:id',
                views: {
                    'tab-stations': {
                        templateUrl: 'templates/tab-station-detail.html',
                        controller: 'StationController'
                    }
                }
            });

        // if none of the above states are matched, use this as the fallback
        $urlRouterProvider.otherwise('/tab/live');
    });