angular
    .module('zns.controllers', ['ionic'])
    .controller('LiveController', function($scope, $rootScope, $ionicLoading, LiveStreams, BackgroundPlayer) {
        $scope.liveStreams = LiveStreams.all();

        $scope.refresh = function(){
            $ionicLoading.show();

            LiveStreams.load().then(function(result){
                $scope.liveStreams = result.data;

                setTimeout($ionicLoading.hide, 500);
                $scope.$broadcast('scroll.refreshComplete');
            }, function(error){
                $scope.liveStreams = null;

                setTimeout($ionicLoading.hide, 500);
                $scope.$broadcast('scroll.refreshComplete');
            });
        };

        $scope.playMedia = function(media){
            BackgroundPlayer.playVideo(media);
        }

        $scope.refresh();
    })

    .controller('NewsController', function($scope, $ionicLoading, $ionicPopup, NewsService) {
        $scope.news = NewsService.all();

        $scope.refresh = function(){
            $ionicLoading.show();

            NewsService.load().then(function(result){
                $scope.news = result.data;

                setTimeout($ionicLoading.hide, 500);
                $scope.$broadcast('scroll.refreshComplete');
            }, function(error){
                $scope.news = null;

                setTimeout($ionicLoading.hide, 500);
                $scope.$broadcast('scroll.refreshComplete');
            });
        };

        $scope.refresh();
    })
    .controller('NewsStoryController', function($scope, $stateParams, $timeout, NewsService) {
        var s = NewsService.get($stateParams.id);
        var youtube_url = s.youtube_url;
        delete s.youtube_url;

        $scope.story = s;

        $timeout(function(){
            $scope.story.youtube_url = youtube_url;
        }, 750, true);
    })
    .controller('MediaController', function($scope, MediaService, $ionicLoading) {
        $scope.media = MediaService.all();

        $scope.refresh = function(){
            $ionicLoading.show();

            MediaService.load().then(function(result){
                $scope.media = result.data;

                setTimeout($ionicLoading.hide, 500);
                $scope.$broadcast('scroll.refreshComplete');
            }, function(error){
                $scope.media = null;

                setTimeout($ionicLoading.hide, 500);
                $scope.$broadcast('scroll.refreshComplete');
            });
        };

        $scope.refresh();
    })
    .controller('MediaDetailController', function($scope, $stateParams, $timeout, MediaService) {
        var m = MediaService.get($stateParams.id);
        var youtube_url = m.youtube_url;
        delete m.youtube_url;

        $scope.media = m;

        $timeout(function(){
            $scope.media.youtube_url = youtube_url;
        }, 750, true);
    })

    .controller('StationsController', function($scope, $rootScope, $ionicLoading, Stations, BackgroundPlayer) {
        $scope.stations = Stations.all();

        $scope.refresh = function(){
            $ionicLoading.show();

            Stations.load().then(function(result){
                $scope.stations = result.data;

                setTimeout($ionicLoading.hide, 500);
                $scope.$broadcast('scroll.refreshComplete');
            }, function(error){
                $scope.stations = null;

                setTimeout($ionicLoading.hide, 500);
                $scope.$broadcast('scroll.refreshComplete');
            });
        };

        $scope.playStation = function(media){
            BackgroundPlayer.playAudio(media);
        };

        $scope.refresh();
    })
    .controller('StationController', function($scope, $rootScope, $stateParams, Stations) {
        $scope.station = Stations.get($stateParams.id);
    });